org.osgi.framework.BundleException: Unresolved constraint in bundle com.endeca.workbench.container [70]: Unable to resolve 70.0: missing requirement [70.0] package; (&(package=com.endeca.ifcr.util)(version>=3.1.0)(!(version>=4.0.0))) [caused by: Unable to resolve 87.0: missing requirement [87.0] package; (&(package=javax.jcr)(version>=2.0.0)(!(version>=3.0.0))) [caused by: Unable to resolve 85.0: missing requirement [85.0] package; (package=org.xml.sax)]]

Oracle Community | JeremyFryer | 3 years ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    Trouble starting Tools and Framework 3.1.2

    Oracle Community | 3 years ago | JeremyFryer
    org.osgi.framework.BundleException: Unresolved constraint in bundle com.endeca.workbench.container [70]: Unable to resolve 70.0: missing requirement [70.0] package; (&(package=com.endeca.ifcr.util)(version>=3.1.0)(!(version>=4.0.0))) [caused by: Unable to resolve 87.0: missing requirement [87.0] package; (&(package=javax.jcr)(version>=2.0.0)(!(version>=3.0.0))) [caused by: Unable to resolve 85.0: missing requirement [85.0] package; (package=org.xml.sax)]]
  2. 0

    Understanding the ‘unresolved constraint’, ‘missing requirement’ message from Apache Felix – Technocratic Dilemmas

    wordpress.com | 3 months ago
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.sakaiproject.nakamura.webconsole.solr [124]: Unable to resolve 124.0: missing requirement [124.0] package; (package=org.apache.solr.client.solrj) [caused by: Unable to resolve 84.0: missing requirement [84.0] package; (package=org.sakaiproject.nakamura.api.lite) [caused by: Unable to resolve 86.0: missing requirement [86.0] package; (&(package=com.google.common.collect)(version>=9.0.0)(!(version>=10.0.0)))]]
  3. 0

    Technocratic Dilemmas | Another blog about things that technerds run into.

    wordpress.com | 7 months ago
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.sakaiproject.nakamura.webconsole.solr [124]: Unable to resolve 124.0: missing requirement [124.0] package; (package=org.apache.solr.client.solrj) [caused by: Unable to resolve 84.0: missing requirement [84.0] package; (package=org.sakaiproject.nakamura.api.lite) [caused by: Unable to resolve 86.0: missing requirement [86.0] package; (&(package=com.google.common.collect)(version>=9.0.0)(!(version>=10.0.0)))]]
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Resolve dependencies error in Sling OSGi container

    Stack Overflow | 3 years ago | Barcelona
    org.osgi.framework.BundleException: Unresolved constraint in bundle net.jasonday.examples.sling.spring.mvc [79]: Unable to resolve 79.0: missing requirement [79 .0] package; (&(package=javax.annotation)(version>=1.0.0)(!(version>=2.0.0)))
  6. 0

    camel-example-cxf Not Deployed in ServiceMix 4.4.2

    Stack Overflow | 4 years ago | abhi
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.camel.camel-example-cxf [43]: Unable to resolve 43.0: missing requirement [43.0] package; (&(package=org.apache.activemq.broker)(version>=5.7.0)(!(version>=6.0.0)))

  1. andyglick 2 times, last 1 month ago
3 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. org.osgi.framework.BundleException

    Unresolved constraint in bundle com.endeca.workbench.container [70]: Unable to resolve 70.0: missing requirement [70.0] package; (&(package=com.endeca.ifcr.util)(version>=3.1.0)(!(version>=4.0.0))) [caused by: Unable to resolve 87.0: missing requirement [87.0] package; (&(package=javax.jcr)(version>=2.0.0)(!(version>=3.0.0))) [caused by: Unable to resolve 85.0: missing requirement [85.0] package; (package=org.xml.sax)]]

    at org.apache.felix.framework.Felix.resolveBundle()
  2. Apache Felix Framework
    StartLevelImpl.run
    1. org.apache.felix.framework.Felix.resolveBundle(Felix.java:3443)
    2. org.apache.felix.framework.Felix.startBundle(Felix.java:1727)
    3. org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1156)
    4. org.apache.felix.framework.StartLevelImpl.run(StartLevelImpl.java:264)
    4 frames
  3. Java RT
    Thread.run
    1. java.lang.Thread.run(Thread.java:619)
    1 frame